diff --git a/server/src/main/java/org/elasticsearch/action/ActionModule.java b/server/src/main/java/org/elasticsearch/action/ActionModule.java
index 187d40a1f3e80..9c2ddf2b1d0d5 100644
--- a/server/src/main/java/org/elasticsearch/action/ActionModule.java
+++ b/server/src/main/java/org/elasticsearch/action/ActionModule.java
@@ -33,7 +33,6 @@
 import org.elasticsearch.action.admin.cluster.node.hotthreads.TransportNodesHotThreadsAction;
 import org.elasticsearch.action.admin.cluster.node.info.NodesInfoAction;
 import org.elasticsearch.action.admin.cluster.node.info.TransportNodesInfoAction;
-import org.elasticsearch.action.admin.cluster.node.liveness.TransportLivenessAction;
 import org.elasticsearch.action.admin.cluster.node.reload.NodesReloadSecureSettingsAction;
 import org.elasticsearch.action.admin.cluster.node.reload.TransportNodesReloadSecureSettingsAction;
 import org.elasticsearch.action.admin.cluster.node.stats.NodesStatsAction;
@@ -704,7 +703,6 @@ protected void configure() {
         bind(new TypeLiteral<RequestValidators<PutMappingRequest>>() {}).toInstance(mappingRequestValidators);
         bind(new TypeLiteral<RequestValidators<IndicesAliasesRequest>>() {}).toInstance(indicesAliasesRequestRequestValidators);
         bind(AutoCreateIndex.class).toInstance(autoCreateIndex);
-        bind(TransportLivenessAction.class).asEagerSingleton();
 
         // register ActionType -> transportAction Map used by NodeClient
         @SuppressWarnings("rawtypes")
diff --git a/server/src/main/java/org/elasticsearch/action/admin/cluster/node/liveness/LivenessRequest.java b/server/src/main/java/org/elasticsearch/action/admin/cluster/node/liveness/LivenessRequest.java
deleted file mode 100644
index 78fa77cdd2b37..0000000000000
--- a/server/src/main/java/org/elasticsearch/action/admin/cluster/node/liveness/LivenessRequest.java
+++ /dev/null
@@ -1,42 +0,0 @@
-/*
- * Licensed to Elasticsearch under one or more contributor
- * license agreements. See the NOTICE file distributed with
- * this work for additional information regarding copyright
- * ownership. Elasticsearch licenses this file to you under
- * the Apache License, Version 2.0 (the "License"); you may
- * not use this file except in compliance with the License.
- * You may obtain a copy of the License at
- *
- *    http://www.apache.org/licenses/LICENSE-2.0
- *
- * Unless required by applicable law or agreed to in writing,
- * software distributed under the License is distributed on an
- * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
- * KIND, either express or implied.  See the License for the
- * specific language governing permissions and limitations
- * under the License.
- */
-package org.elasticsearch.action.admin.cluster.node.liveness;
-
-import org.elasticsearch.action.ActionRequest;
-import org.elasticsearch.action.ActionRequestValidationException;
-import org.elasticsearch.common.io.stream.StreamInput;
-
-import java.io.IOException;
-
-/**
- * Transport level private response for the transport handler registered under
- * {@value org.elasticsearch.action.admin.cluster.node.liveness.TransportLivenessAction#NAME}
- */
-public final class LivenessRequest extends ActionRequest {
-    public LivenessRequest() {}
-
-    public LivenessRequest(StreamInput in) throws IOException {
-        super(in);
-    }
-
-    @Override
-    public ActionRequestValidationException validate() {
-        return null;
-    }
-}
diff --git a/server/src/main/java/org/elasticsearch/action/admin/cluster/node/liveness/LivenessResponse.java b/server/src/main/java/org/elasticsearch/action/admin/cluster/node/liveness/LivenessResponse.java
deleted file mode 100644
index 591b5d112c4d8..0000000000000
--- a/server/src/main/java/org/elasticsearch/action/admin/cluster/node/liveness/LivenessResponse.java
+++ /dev/null
@@ -1,65 +0,0 @@
-/*
- * Licensed to Elasticsearch under one or more contributor
- * license agreements. See the NOTICE file distributed with
- * this work for additional information regarding copyright
- * ownership. Elasticsearch licenses this file to you under
- * the Apache License, Version 2.0 (the "License"); you may
- * not use this file except in compliance with the License.
- * You may obtain a copy of the License at
- *
- *    http://www.apache.org/licenses/LICENSE-2.0
- *
- * Unless required by applicable law or agreed to in writing,
- * software distributed under the License is distributed on an
- * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
- * KIND, either express or implied.  See the License for the
- * specific language governing permissions and limitations
- * under the License.
- */
-
-package org.elasticsearch.action.admin.cluster.node.liveness;
-
-import org.elasticsearch.action.ActionResponse;
-import org.elasticsearch.cluster.ClusterName;
-import org.elasticsearch.cluster.node.DiscoveryNode;
-import org.elasticsearch.common.io.stream.StreamInput;
-import org.elasticsearch.common.io.stream.StreamOutput;
-
-import java.io.IOException;
-
-/**
- * Transport level private response for the transport handler registered under
- * {@value org.elasticsearch.action.admin.cluster.node.liveness.TransportLivenessAction#NAME}
- */
-public final class LivenessResponse extends ActionResponse {
-
-    private DiscoveryNode node;
-    private ClusterName clusterName;
-
-    public LivenessResponse() {}
-
-    public LivenessResponse(StreamInput in) throws IOException {
-        super(in);
-        clusterName = new ClusterName(in);
-        node = in.readOptionalWriteable(DiscoveryNode::new);
-    }
-
-    public LivenessResponse(ClusterName clusterName, DiscoveryNode node) {
-        this.node = node;
-        this.clusterName = clusterName;
-    }
-
-    @Override
-    public void writeTo(StreamOutput out) throws IOException {
-        clusterName.writeTo(out);
-        out.writeOptionalWriteable(node);
-    }
-
-    public ClusterName getClusterName() {
-        return clusterName;
-    }
-
-    public DiscoveryNode getDiscoveryNode() {
-        return node;
-    }
-}
diff --git a/server/src/main/java/org/elasticsearch/action/admin/cluster/node/liveness/TransportLivenessAction.java b/server/src/main/java/org/elasticsearch/action/admin/cluster/node/liveness/TransportLivenessAction.java
deleted file mode 100644
index c79e94342d3ec..0000000000000
--- a/server/src/main/java/org/elasticsearch/action/admin/cluster/node/liveness/TransportLivenessAction.java
+++ /dev/null
@@ -1,46 +0,0 @@
-/*
- * Licensed to Elasticsearch under one or more contributor
- * license agreements. See the NOTICE file distributed with
- * this work for additional information regarding copyright
- * ownership. Elasticsearch licenses this file to you under
- * the Apache License, Version 2.0 (the "License"); you may
- * not use this file except in compliance with the License.
- * You may obtain a copy of the License at
- *
- *    http://www.apache.org/licenses/LICENSE-2.0
- *
- * Unless required by applicable law or agreed to in writing,
- * software distributed under the License is distributed on an
- * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
- * KIND, either express or implied.  See the License for the
- * specific language governing permissions and limitations
- * under the License.
- */
-
-package org.elasticsearch.action.admin.cluster.node.liveness;
-
-import org.elasticsearch.cluster.service.ClusterService;
-import org.elasticsearch.common.inject.Inject;
-import org.elasticsearch.tasks.Task;
-import org.elasticsearch.threadpool.ThreadPool;
-import org.elasticsearch.transport.TransportChannel;
-import org.elasticsearch.transport.TransportRequestHandler;
-import org.elasticsearch.transport.TransportService;
-
-public final class TransportLivenessAction implements TransportRequestHandler<LivenessRequest> {
-
-    private final ClusterService clusterService;
-    public static final String NAME = "cluster:monitor/nodes/liveness";
-
-    @Inject
-    public TransportLivenessAction(ClusterService clusterService, TransportService transportService) {
-        this.clusterService = clusterService;
-        transportService.registerRequestHandler(NAME, ThreadPool.Names.SAME,
-            false, false /*can not trip circuit breaker*/, LivenessRequest::new, this);
-    }
-
-    @Override
-    public void messageReceived(LivenessRequest request, TransportChannel channel, Task task) throws Exception {
-        channel.sendResponse(new LivenessResponse(clusterService.getClusterName(), clusterService.localNode()));
-    }
-}
diff --git a/server/src/main/java/org/elasticsearch/transport/TransportSettings.java b/server/src/main/java/org/elasticsearch/transport/TransportSettings.java
index b89c06de84a19..8f185b0a9813c 100644
--- a/server/src/main/java/org/elasticsearch/transport/TransportSettings.java
+++ b/server/src/main/java/org/elasticsearch/transport/TransportSettings.java
@@ -18,7 +18,6 @@
  */
 package org.elasticsearch.transport;
 
-import org.elasticsearch.action.admin.cluster.node.liveness.TransportLivenessAction;
 import org.elasticsearch.common.network.NetworkService;
 import org.elasticsearch.common.settings.Setting;
 import org.elasticsearch.common.settings.Settings;
@@ -115,7 +114,7 @@
         listSetting("transport.tracer.include", emptyList(), Function.identity(), Setting.Property.Dynamic, Setting.Property.NodeScope);
     public static final Setting<List<String>> TRACE_LOG_EXCLUDE_SETTING =
         listSetting("transport.tracer.exclude",
-            Arrays.asList("internal:coordination/fault_detection/*", TransportLivenessAction.NAME),
+            Arrays.asList("internal:coordination/fault_detection/*"),
             Function.identity(), Setting.Property.Dynamic, Setting.Property.NodeScope);
 
     private TransportSettings() {
